<?php

namespace BSD_Split_Pay_Stripe_Connect_Woo\Inc\Admin;

if ( ! function_exists( 'BSD_Split_Pay_Stripe_Connect_Woo\Inc\Admin\bsd_scsp_options' ) ) {
  function bsd_scsp_options() {
    ?>
    <div class='wrap'>
      <h1><?php _e( 'Split Pay for Stripe Connect on WooCommerce', 'bsd-split-pay-stripe-connect-woo' ); ?></h1>
      <?php settings_errors(); ?>
      <div id='poststuff'>
        <div id='post-body' class='columns-2'>

          <!-- Content -->
          <div id='post-body-content'>
            <div class='inside' id='bsd-split-pay-stripe-connect-woo-settings'>

              <?php
              $active_tab = isset( $_GET['tab'] ) ? sanitize_text_field( $_GET['tab'] ) : 'main';

              ?>
              <div class='nav-tab-wrapper bsd-split-pay-stripe-connect-woo-settings-header'>
                <a 
                  href='?page=bsd-split-pay-stripe-connect-woo-settings&tab=main' 
                  class="nav-tab <?php echo $active_tab == 'main' ? 'nav-tab-active' : ''; ?>">
                  Settings
                </a>

                <a 
                  href='?page=bsd-split-pay-stripe-connect-woo-settings&tab=transfers' 
                  class="nav-tab <?php echo $active_tab == 'transfers' ? 'nav-tab-active' : ''; ?>">
                  Transfers
                </a>
              </div>      

              <!-- <form method='POST' action='admin-post.php'> -->
              

                <?php
                switch ( $active_tab ) {
                  case 'main':
                  	echo "<form method='POST' action='options.php'>";
                    	include_once( 'partials/tab-main.php' );
                    echo '</form>';
                    break;
                  case 'transfers':
                    include_once( 'partials/tab-transfers.php' );
                    break;
                }
                ?>
              
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php
  }
}