<?php

if ( !function_exists( 'BSD_Split_Pay_Stripe_Connect_Woo\\Inc\\Admin\\render_transfers_list_table' ) ) {
    function render_transfers_list_table()
    {
    }

}
if ( !function_exists( 'render_list_table_screenshot' ) ) {
    function render_list_table_screenshot()
    {
        $image_path = BSD_SCSP_PLUGIN_ASSETS . '/stripe-connect-transfers-table.png';
        $upgrade_url = '?billing_cycle=annual&page=bsd-split-pay-stripe-connect-woo-pricing';
        if ( function_exists( 'bsdwcscsp_fs' ) ) {
            $upgrade_url = bsdwcscsp_fs()->get_upgrade_url();
        }
        echo  '<section>' ;
        echo  '<h1>' . __( 'Premium Feature', 'bsd-split-pay-stripe-connect-woo' ) . '</h1>' ;
        echo  '<a href="' . esc_url( $upgrade_url ) . '">' . __( 'Upgrade Now!', 'bsd-split-pay-stripe-connect-woo' ) . '</a>' ;
        echo  '</section>' ;
        echo  '<figure>' ;
        echo  '<img src="' . esc_attr( $image_path ) . '" alt="Blurred example of Stripe Connect Transfers list table" style="width:100%">' ;
        echo  '</figure>' ;
    }

}
?>

<div class='bsd-scsp-settings'>
  <?php 

if ( function_exists( 'BSD_Split_Pay_Stripe_Connect_Woo\\bsdwcscsp_fs' ) ) {
    if ( BSD_Split_Pay_Stripe_Connect_Woo\bsdwcscsp_fs()->is_not_paying() ) {
        render_list_table_screenshot();
    }
} else {
    render_list_table_screenshot();
}

?>
</div>